/* Richard Liang
   Routines that take a percolation cluster and draws it.

   June 10, 2003
*/

#ifndef SHOWCLUSTER_H
#define SHOWCLUSTER_H

#include <stdlib.h>
#include "3dhf.h"

// This function does the drawing... It is like the "main"
// function specified in the book.
void drawCluster(percCluster3D_t *myCluster,
		 int *argc, char **argv);


// The init function.  This sets all the things we only set
// once during the lifetime of the display.
void init();


// A function to read configuration settings from a configuration file.
void config();


// The display function, that does the displaying.
void display();


// The reshape function.  As per the way the book does it.
void reshape(int w, int h);


// The keyboard function.  Manipulates our cluster through
// theta, phi, and psi.
void keyboard(unsigned char key, int x, int y);


// A function to do some spinning for us.
// Checks spinDirection and spinAxis for the info on how
// to spin.
void spinMe();


#endif
