/* Richard Liang
   Routines that take a percolation cluster and draws it.

   June 10, 2003
*/

#ifndef SHOW_WALK_H
#define SHOW_WALK_H

#include <stdlib.h>
#include "walk_functions.h"

// This function does the drawing... It is like the "main"
// function specified in the book.
void drawWalk(walk_t *myWalk, int *argc, char **argv);


// The init function.  This sets all the things we only set
// once during the lifetime of the display.
void init();


// A function to read configuration settings from a configuration file.
void config();


// The display function, that does the displaying.
void display();


// The reshape function.  As per the way the book does it.
void reshape(int w, int h);


// The keyboard function.  Manipulates our cluster through
// theta, phi, and psi.
void keyboard(unsigned char key, int x, int y);


#endif
