/* Richard Liang
   June 18, 2003
   Functions to generate a random walk in 3D.
*/

#ifndef WALK_FUNCTIONS_H
#define WALK_FUNCTIONS_H

#include <stdlib.h>


// A struct to represent our random walk.  Each walk starts at the
// origin, and we keep track of each step in an array.
struct walk
{
  unsigned int numSteps;

  // These two variables allow us to reconstruct the walk.
  unsigned int rseed;
  unsigned int trialNo;

  // The maximum size of the walk (i.e. the farthest it gets
  // from the origin.
  unsigned int maxSize;
  
  // The actual walk.
  char *steps;
};

typedef struct walk walk_t;


// Function to generate the walk.
// PRE:  takes an initialized walk (i.e. one that has enough space)
//        and performs a walk with the given information.
int doWalk(walk_t *myWalk, unsigned int numSteps, 
	   unsigned int rseed, unsigned int trialNo);

#endif
